SDL_HINT_MOUSE_RELATIVE_WARP_MOTION(3)

NAME
SDL_HINT_MOUSE_RELATIVE_WARP_MOTION - A variable controlling whether a motion event should be generated for mouse warping in relative mode.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_MOUSE_RELATIVE_WARP_MOTION "SDL_MOUSE_RELATIVE_WARP_MOTION"

DESCRIPTION
The variable can be set to the following values:

• "0": Warping the mouse will not generate a motion event in relative mode

• "1": Warping the mouse will generate a motion event in relative mode

By default warping the mouse will not generate motion events in relative mode. This avoids the application having to filter out large relative motion due to warping.

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.